org.wildfly.swarm.mail

## Class EnhancedSMTPServer

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.mail.mail_session.SMTPServer<EnhancedSMTPServer>
      - - org.wildfly.swarm.mail.EnhancedSMTPServer

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class EnhancedSMTPServer
      extends SMTPServer<EnhancedSMTPServer>

  Author:
    Bob McWhirter
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnhancedSMTPServer(String sessionKey)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `host()`
    `EnhancedSMTPServer` | `host(String host)`
    `int` | `port()`
    `EnhancedSMTPServer` | `port(int port)`
    `String` | `sessionKey()`

    - ### Methods inherited from class org.wildfly.swarm.config.mail.mail_session.SMTPServer

      `addPropertyChangeListener, getKey, outboundSocketBindingRef, outboundSocketBindingRef, password, password, removePropertyChangeListener, ssl, ssl, tls, tls, username, username`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### EnhancedSMTPServer

          public EnhancedSMTPServer(String sessionKey)

  - ### Method Detail

    - #### sessionKey

          public String sessionKey()

    - #### host

          public EnhancedSMTPServer host(String host)

    - #### host

          public String host()

    - #### port

          public EnhancedSMTPServer port(int port)

    - #### port

          public int port()

Copyright © 2017 JBoss by Red Hat. All rights reserved.